package com.persagy.proxy.migration.constant;

/**
 * 边类型编码
 *
 */
public enum MiGrationRelCode {
	
	None("None"),Door("Door"),Window("Window"),DoorWindow("DoorWindow"),FFOpen("FFOpen"),FFClose("FFClose"),Natural("Natural"),OnewayMech("OnewayMech"),
	MixMech("MixMech"),Connect("Connect"),Transparent("Transparent"),ExactCorrespond("ExactCorrespond"),InexactCorrespond("InexactCorrespond"),
	Fill("Fill"),Backup("Backup"),Return("Return"),Fresh("Fresh"),Uncertain("Uncertain"),SupplyReturn("SupplyReturn"),Supply("Supply"),
	Bypass("Bypass"),Discharge("Discharge"),Normal("Normal"),SyCtrl("SyCtrl"),EqCtrl("EqCtrl"),SyNormal("SyNormal"),SyBackup("SyBackup"),
	EqNormal("EqNormal"),EqBackup("EqBackup"),
	
	Pj2Bd("Pj2Bd"),
	Bd2Fl("Bd2Fl"),
	Fl2Bd("Fl2Bd"),
	Fl2Fl("Fl2Fl"),
	Fl2Sh("Fl2Sh"),
	Fl2Sp("Fl2Sp"),
	Sh2Bd("Sh2Bd"),
	Sh2Fl("Sh2Fl"),
	Sh2Sh("Sh2Sh"),
	Sh2Sp("Sh2Sp"),
	Sp2Bd("Sp2Bd"),
	Bd2Bd("Bd2Bd"),
	Bd2Sh("Bd2Sh"),
	Bd2Sp("Bd2Sp"),
	Sp2Fl("Sp2Fl"),
	Sp2Sh("Sp2Sh"),
	Sp2Sp("Sp2Sp"),
	Sy2Bd("Sy2Bd"),
	Sy2Fl("Sy2Fl"),
	Sy2Sh("Sy2Sh"),
	Sy2Sp("Sy2Sp"),
	Eq2Bd("Eq2Bd"),
	Eq2Fl("Eq2Fl"),
	Eq2Sh("Eq2Sh"),
	Eq2Sp("Eq2Sp"),
	Pj2Sy("Pj2Sy"),
	Pj2Eq("Pj2Eq"),
	Sy2Eq("Sy2Eq"),
	Eq2Ec("Eq2Ec"),
	Ss2Eq("Ss2Eq"),
	Ss2Sy("Ss2Sy"),
	Ss2Sp("Ss2Sp"),
	Vv2Eq("Vv2Eq"),
	Vv2Sy("Vv2Sy"),
	Vv2Vv("Vv2Vv"),
	Em2Bd("Em2Bd"),
	Sub2Em("Sub2Em"),
	SubTree("SubTree"),
	Br2Eq("Br2Eq"),
	Br2Sub("Br2Sub"),
	Sch2Pj("Sch2Pj"),
	Sch2Bd("Sch2Bd"),
	Sch2Fl("Sch2Fl"),
	Sch2Sp("Sch2Sp"),
	Sch2Tn("Sch2Tn"),
	Ms2Pj("Ms2Pj"),
	Tn2Sp("Tn2Sp"),
	Bl2Pj("Bl2Pj"),
	Pe2Eq("Pe2Eq"),
	Pe2Ec("Pe2Ec"),
	Pe2Pj("Pe2Pj"),
	Pe2Bd("Pe2Bd"),
	Pe2Fl("Pe2Fl"),
	Pe2Sh("Pe2Sh"),
	Pe2Sp("Pe2Sp");

	private String code;
	public String getCode(){
		return code;
	}
	MiGrationRelCode(String code){
		this.code = code;	
	}
	@Override
	public String toString() {
		return this.code;
	}
}
